<xml> </xml>

db4o |

# Configuration.BTreeCacheHeight Method

configures caching of BTree nodes.

void BTreeCacheHeight(
int height
);

#### Parameters

height
  the height of the cache from the root

#### Remarks

configures caching of BTree nodes.
Clean BTree nodes will be unloaded on #commit and #rollback unless they are configured as cached here.
Default setting: 0
Possible settings: 1, 2 or 3
The potential number of cached BTree nodes can be calculated with the following forumula:
maxCachedNodes = bTreeNodeSize ^ bTreeCacheHeight

#### See Also

Configuration Interface | com.db4o.config Namespace